import { Storage } from "./Storage";
import { Duration } from "mvx-utils";
export declare class DB {
    get(table: string, key: string): Promise<[string, Error | null]>;
    set(table: string, key: string, value: string, delay: Duration): Promise<Error | null>;
    remove(table: string, key: string): Promise<Error | null>;
    getAllKeys(table: string): Promise<string[]>;
    private getFullTable;
    constructor(storage: Storage, name: string);
    private storage_;
    private readonly name_;
}
