import { DBManager } from "./DBManager";
import { Storage } from "./Storage";
export declare class NullStorage implements Storage {
    get(key: string): Promise<[string, (Error | null)]>;
    remove(key: string): Promise<Error | null>;
    set(key: string, value: string): Promise<Error | null>;
    getAllKeys(table: string): Promise<string[]>;
}
export declare class NullDBManager extends DBManager {
    protected newLocalStorage(): Storage;
    protected newSessionStorage(): Storage;
}
