import { Duration } from "mvx-utils";
import { DB } from "./DB";
export declare class Table {
    get(key: string): Promise<[string, Error | null]>;
    set(key: string, value: string, delay?: Duration): Promise<Error | null>;
    remove(key: string): Promise<Error | null>;
    getAllKeys(): Promise<string[]>;
    constructor(db: DB, name: string);
    private readonly name_;
    private db_;
}
