import { Class } from "mvx-utils";
import { DetailModel, DetailModelItem } from "./DetailModel";
export declare abstract class DetailModelNoDB extends DetailModel {
    protected saveToDB(items: DetailModelItem[]): Promise<void>;
    protected loadFromDB<T extends DetailModelItem>(ids: string[], clazz: Class<T>): Promise<Map<string, T>>;
    protected loadFromDBForMerge<T extends DetailModelItem>(id: string): Promise<T | null>;
}
