import { Model, ModelEvent } from "./Model";
export declare class LibraryShouldReInitByUidChanged extends ModelEvent {
}
export declare class AppInvalidEvent extends ModelEvent {
}
export declare class AppReValidEvent extends ModelEvent {
}
export declare class Me extends Model {
    private uid_;
    private table_;
    private static readonly uidStr;
    static readonly empty: string;
    static isValidUid(uid: string): boolean;
    InValidate(): Promise<Error | null>;
    ReValidateWithUid(uid: string): Promise<Error | null>;
    private setUid;
    uid(): Promise<string>;
    init(): Promise<void>;
    needClearWhenUidChanged(): boolean;
}
