import { Event } from "../nc/Event";
import { Plugin } from "../Plugin";
import { DBManager } from "../db/DBManager";
export declare class ModelEvent extends Event {
}
export interface ModelClazz<T> {
    new (plugin: Plugin): T;
    readonly prototype: T;
}
export declare class Model {
    private readonly plugin_;
    constructor(plugin: Plugin);
    protected getPlugin(): Plugin;
    protected getDBM(): DBManager;
    init(): Promise<void>;
    willDeInit(): Promise<void>;
    needClearWhenUidChanged(): boolean;
}
