import { equals } from "mvx-utils";
export class OverWriteMergeStrategy {
    mergeToOld(old, new_) {
        if (old === null) {
            return [new_, true];
        }
        if (new_ === null) {
            return [old, false];
        }
        if (equals(old, new_)) {
            return [old, false];
        }
        return [new_, true];
    }
    mergeToOldArray(old, new_) {
        if (equals(old, new_)) {
            return false;
        }
        old.splice(0, old.length);
        old.push(...new_);
        return true;
    }
}
