import {Duration} from "mvx-utils";

export interface Storage {
  set(table:string, key:string, value:string, delay:Duration):Promise<Error|null>;
  get(table:string, key:string):Promise<[string, Error|null]>;
  remove(table:string, key:string):Promise<Error|null>;
  getAllKeys(table:string):Promise<string[]>;
}