export class CacheStrategy {
    constructor(maxCnt, changeCnt) {
        this.maxCnt = maxCnt;
        this.changeCnt = changeCnt;
        this.ids_ = new Map();
    }
    clear() {
        this.ids_.clear();
    }
    adjust() {
        if (this.ids_.size < this.maxCnt) {
            return [];
        }
        let array = Array.from(this.ids_);
        array.sort((x, y) => {
            return x[1] - y[1];
        });
        let ret = [];
        for (let i = 0; i < this.changeCnt; ++i) {
            ret.push(array[i][0]);
            this.ids_.delete(array[i][0]);
        }
        return ret;
    }
}
