import { CacheStrategy } from "./CacheStrategy";
export class LFUCacheStrategy extends CacheStrategy {
    constructor(maxCnt = 1000, changeCnt = maxCnt / 10) {
        super(maxCnt, changeCnt);
    }
    adjustCache(newData) {
        // 每访问一次id  对应的times加1
        for (let id of newData) {
            let times = this.ids_.get(id) || 0;
            ++times;
            this.ids_.set(id, times);
        }
        return super.adjust();
    }
}
