import { CacheStrategy } from "./CacheStrategy";
export class LRUCacheStrategy extends CacheStrategy {
    constructor(maxCnt = 1000, changeCnt = maxCnt / 10) {
        super(maxCnt, changeCnt);
        this.time = 0;
    }
    adjustCache(newData) {
        // 最近访问的id 对应的time值越大
        for (let id of newData) {
            this.ids_.set(id, this.time++);
        }
        return this.adjust();
    }
}
