import { equals } from "mvx-utils";
export class JoinMergeStrategy {
    mergeToOld(old, new_) {
        if (old === null) {
            return [new_, true];
        }
        let _old = old;
        let _new_ = new_;
        let eq = true;
        for (let key in _new_) {
            if (_old.hasOwnProperty(key) && _new_.hasOwnProperty(key)
                && _new_[key] !== null) {
                eq = eq && equals(_old[key], _new_[key]);
                _old[key] = _new_[key];
            }
        }
        return [old, !eq];
    }
    mergeToOldArray(old, new_) {
        if (new_.length == 0) {
            return false;
        }
        old.push(...new_);
        return true;
    }
}
