var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Send, WithJsonBody, } from "./api";
import { AppInvalidEvent, Me } from "../model/Me";
class Request {
}
class Response {
}
export function SendLogout(uri, net) {
    return __awaiter(this, void 0, void 0, function* () {
        yield Send(uri, new Request(), Response, net, WithJsonBody());
        // 如下的设置需要先清除token，再失效Me，最后再postEvent
        // 主网络才需要操作Me及发App事件
        yield net.clearToken();
        if (net.isMainNet()) {
            yield (yield net.getPlugin().mf().getModel(Me)).InValidate();
            yield net.getPlugin().nc().post(new AppInvalidEvent());
        }
    });
}
