import { Class, DefaultConstructor } from "mvx-utils";
import { DetailModel, DetailModelItem } from "./DetailModel";
import { Table } from "../db/Table";
export declare abstract class TheDetailModel extends DetailModel {
    protected abstract getItemClazz(): DefaultConstructor<DetailModelItem>;
    protected abstract getTableName(): string;
    private load;
    protected loadFromDB<T extends DetailModelItem>(ids: string[], clazz: Class<T>): Promise<Map<string, T>>;
    protected loadFromDBForMerge<T extends DetailModelItem>(id: string): Promise<T | null>;
    protected saveToDB(items: DetailModelItem[]): Promise<void>;
    getAllIds(): Promise<string[]>;
    protected getTable(): Promise<Table>;
    init(): Promise<void>;
    private table_;
}
