export declare abstract class CacheStrategy<T> {
    private maxCnt;
    private changeCnt;
    protected constructor(maxCnt: number, changeCnt: number);
    clear(): void;
    abstract adjustCache(newData: T[]): T[];
    protected adjust(): T[];
    protected ids_: Map<T, number>;
}
