import { Event } from "./Event";
import { Plugin } from "../Plugin";
import { Class } from "mvx-utils";
export declare class NotificationCenter {
    private readonly plugin_;
    private readonly eventId_;
    private allEvent;
    private postingMap;
    private deleteObservers;
    /**
     * @param plugin
     *
     */
    constructor(plugin: Plugin);
    getPlugin(): Plugin;
    post(event: Event): Promise<void>;
    register<T extends Event>(observer: object | symbol, event: Class<T>, clbk: (t: T) => Promise<void>): void;
    unRegister(observer: object | symbol, event: Class<Event>): void;
    unRegisterAll(observer: object | symbol): void;
}
