import { DefaultConstructor } from "mvx-utils";
import { Net } from "./Net";
import { CodeError, HttpOption } from "./api";
export declare function SendLoginWithRes<T extends object>(uri: string, request: object, resType: DefaultConstructor<T>, net: Net, resTokenParser: (res: T) => {
    uid: string;
    token: string;
}, ...options: HttpOption[]): Promise<[T, CodeError | null]>;
export declare function SendLogin(uri: string, request: object, net: Net, ...options: HttpOption[]): Promise<CodeError | null>;
